package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum OrderItemTypeEnum {

    PLATE(1, "板材"),
    PARTS(2, "五金/配件"),
    OTHER(3, "其他"),
    QUOTATIONACCESSORIES(4, "报价配件");

    private final Integer type;
    private String description;

    public boolean equals(Integer status) {
        return this.type .equals(status) ;
    }

    public boolean equals(OrderItemTypeEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.type .equals(this.getType()) ;
    }

}
